<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- params: currentOrder = the current order in the table
                   displayEncounterInfo : displays the column with the encounter info if set to true
                   enableStatusEdit: if true enable the user to change result status and order status
                   managedBean: if enableStatusEdit = true
                   sectionToReRender: if enableStatusEdit = true-->
    <g:column>
        <ui:define name="header">#{messages['gazelle.ordermanager.OrderNumbers']}</ui:define>
        <h:outputText value="#{currentOrder.placerOrderNumber}"
                      rendered="#{not empty currentOrder.placerOrderNumber and (not empty currentOrder.placerOrderNumber and (not (currentOrder.simulatedActor.keyword.equals('ANALYZER') or currentOrder.simulatedActor.keyword.equals('ANALYZER_MGR'))))}"
                      title="#{messages['gazelle.ordermanager.PlacerOrderNumber_2']}"/>
        <h:outputText value="#{currentOrder.placerOrderNumber}"
                      rendered="#{not empty currentOrder.placerOrderNumber and (currentOrder.simulatedActor.keyword.equals('ANALYZER') or currentOrder.simulatedActor.keyword.equals('ANALYZER_MGR'))}"
                      title="#{messages['gazelle.ordermanager.AWOSID']}"/>
        <br/>
        <h:outputText title="#{messages['gazelle.ordermanager.FillerOrderNumber_2']}" value="#{currentOrder.fillerOrderNumber}"
                      rendered="#{not empty currentOrder.fillerOrderNumber and (not (currentOrder.simulatedActor.keyword.equals('ANALYZER') or currentOrder.simulatedActor.keyword.equals('ANALYZER_MGR')))}"/>
        <h:outputText title="#{messages['gazelle.ordermanager.ParentAWOSID']}" value="#{currentOrder.fillerOrderNumber}"
                      rendered="#{not empty currentOrder.fillerOrderNumber and (currentOrder.simulatedActor.keyword.equals('ANALYZER') or currentOrder.simulatedActor.keyword.equals('ANALYZER_MGR'))}"/>
    </g:column>
    <g:column rendered="#{displayEncounterInfo}">
        <ui:define name="header">#{messages['gazelle.ordermanager.EncounterInformation']}</ui:define>
        <h:outputText title="#{messages['gazelle.ordermanager.Patient']}" style="font-weight:bold;"
                      value="#{currentOrder.encounter.patient.firstName} #{currentOrder.encounter.patient.lastName}"/>
        <br/>
        <h:outputText value="#{currentOrder.encounter.visitNumber}"
                      title="#{messages['gazelle.ordermanager.VisitNumber']}"/>
    </g:column>
    <g:column filterBy="#{'orderControlCode'}" sortBy="#{'orderControlCode'}" filterEvent="onkeyup">
        <ui:define name="header">#{messages['gazelle.ordermanager.ControlCode']}</ui:define>
        <h:outputText value="#{currentOrder.orderControlCode}"/>
    </g:column>
    <g:column id="orderStatusColumn">
        <ui:define name="header">#{messages['gazelle.ordermanager.Status']}</ui:define>
        <h:outputText value="#{currentOrder.orderStatus}" rendered="#{not enableStatusEdit}"/>
        <f:subview rendered="#{enableStatusEdit}">
            <ui:insert name="editStatus"/>
        </f:subview>
    </g:column>
    <g:column id="orderResultStatusColumn">
        <ui:define name="header">#{messages['gazelle.ordermanager.ResultStatus']}</ui:define>
        <h:outputText value="#{currentOrder.orderResultStatus}" rendered="#{not enableStatusEdit}"/>
        <f:subview rendered="#{enableStatusEdit}">
            <ui:insert name="editOrderResult"/>
        </f:subview>
    </g:column>
    <g:column filterBy="#{'universalServiceId'}" sortBy="#{'universalServiceId'}" filterEvent="onkeyup">
        <ui:define name="header">#{messages['gazelle.ordermanager.UniversalServiceId']}</ui:define>
        <h:outputText value="#{currentOrder.universalServiceId}"/>
    </g:column>
    <g:column sortBy="#{'lastChanged'}" sortOrder="#{dataTableStateHolder.sortOrders['lastChanged']}">
        <ui:define name="header">#{messages['gazelle.ordermanager.LastChanged']}</ui:define>
        <g:date value="#{currentOrder.lastChanged}"/>
    </g:column>
    <g:column filterBy="#{'creator'}" sortBy="#{'creator'}" filterEvent="onkeyup" rendered="#{managedBean == null}">
        <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
        <h:outputText value="#{currentOrder.creator}"/>
    </g:column>
    <g:column sortBy="#{'creator'}" filterEvent="onkeyup" rendered="#{managedBean != null}">
        <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
        <h:outputText value="#{managedBean.getUserName(currentOrder.creator)}"/>
    </g:column>
</ui:composition>
